summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJérémy Zurcher <jeremy@asynk.ch>2012-12-26 02:23:50 +0100
committerJérémy Zurcher <jeremy@asynk.ch>2012-12-26 02:23:50 +0100
commitda56c58459038e6789b8e5c605725efd002817fe (patch)
treeeb97fb1b2c0b12fef9e5bc5ed6590495e5f93337
parentddad81e4d8f27799aa2f79c96078c3323d2555a2 (diff)
downloadbin-da56c58459038e6789b8e5c605725efd002817fe.zip
bin-da56c58459038e6789b8e5c605725efd002817fe.tar.gz
build_efl_stable.sh: fix url
-rwxr-xr-xbuild_efl_stable.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/build_efl_stable.sh b/build_efl_stable.sh
index 4fce9a3..fa5284d 100755
--- a/build_efl_stable.sh
+++ b/build_efl_stable.sh
@@ -5,6 +5,7 @@ E_VER=0.17.0
PREFIX=/opt/efl
OPTIONS="--disable-doc"
SUDO_PASSWD=""
+BASE_URL="http://download.enlightenment.fr/releases"
export PKG_CONFIG_PATH="$PREFIX/lib/pkgconfig"
EFL_PKGS="eina eet evas ecore eio embryo edje efreet e_dbus eeze emotion ethumb elementary"
@@ -14,11 +15,11 @@ function e_get() {
for pkg in $EFL_PKGS; do
arch=${pkg}-${EFL_VER}.tar.bz2
echo " - $arch"
- [ -f $arch ] || curl http://download.enlightenment.org/releases/$arch -o $arch || exit 1
+ [ -f $arch ] || curl "$BASE_URL/$arch" -o $arch || exit 1
done
e_arch=enlightenment-${E_VER}.tar.bz2
echo " - $e_arch"
- [ -f $e_arch ] || curl http://download.enlightenment.org/releases/$e_arch -o $e_arch || exit 1
+ [ -f $e_arch ] || curl "$BASE_URL/$e_arch" -o $e_arch || exit 1
}
function e_extract() {